mod email;
mod error;
mod r#trait;

pub use email::email_is_valid;
pub use error::AsyncValidateError;
pub use r#trait::AsyncValidate;
use sqlx::PgPool;

pub struct DbContext<'a> {
    pub pool: &'a PgPool,
}

impl<'a> DbContext<'a> {
    pub fn new(pool: &'a PgPool) -> Self {
        Self { pool }
    }
}
